<?php
    if ($a8min_mode != 'pro') {
        $disabled = 'disabled="disabled"';
        $disabled_title = '<span style="font-size:0.75em;">（通常版のみ）</span>';
    }
?>
<div class="wrap" id="options_panel">
    <h2 id="logo" title="A8min 設定" <?php if ($a8min_mode == 'basic') { ?>class="free"<?php } ?>><span>A8min 設定</span></h2>
    <form action="#codedata" method="post">

	<h4 style="margin-top:0;"><span class="l">&nbsp;</span><span class="header">広告リンクブラウザ</span><span class="r">&nbsp;</span></h4>
    <div class="clear"></div>
    <?php if ($disabled) { ?>
    <a id="buttonBannerSelect" class="linkAction">広告リンクブラウザを開く<?= $disabled_title ?></a>
    <p style="color:#0f0;padding-left:30px;">この機能は<a href="http://hello.lumiere-couleur.com/a8min/" target="_blank">通常版</a>のみご利用いただけます。</p>
    <?php } else { ?>
    <a href="#" id="buttonBannerSelect" class="linkAction">広告リンクブラウザを開く</a>
    <script type="text/javascript">
    <!--
        jQuery("#buttonBannerSelect").click(function(){
            var url = "<?= $a8minurl ?>/a8min.php?banner_select=1";
            window.open(url, "a8min_select", "width=900,height=600,menubar=yes,toolbar=no,scrollbars=yes,resizable=yes");
            return false;
        });
    //-->
    </script>
    <?php } ?>
    <div style="margin:0 0 20px 50px;">
    <ul style="margin:0;padding:0;list-style:disc;">
        <li>Webサイトへ記述するためのコードを簡単に作ることが出来ます。</li>
        <li>広告リンクへのタグ付け</li>
        <li>不要の広告リンクの指定</li>
    </ul>
    </div>

	<h4 id="codedata"><span class="l">&nbsp;</span><span class="header">コードデータ</span><span class="r">&nbsp;</span></h4>
    <div class="clear"></div>
    <p>
      <b>現在の登録広告リンク数: </b>
      <span><?= number_format(count($advs)) ?>件</span>
    </p>
    <table class="data" style="width:500px;">
      <tr>
        <th>横長（大）</th>
        <td><?= number_format($advs_cat['banner']['banner_type']['wide']['big']) ?></td>
        <th>横長（中）</th>
        <td><?= number_format($advs_cat['banner']['banner_type']['wide']['middle']) ?></td>
        <th>横長（小）</th>
        <td><?= number_format($advs_cat['banner']['banner_type']['wide']['small']) ?></td>
        <th>横長（その他）</th>
        <td><?= number_format($advs_cat['banner']['banner_type']['wide']['out']) ?></td>
      </tr>
      <tr>
        <th>たて長（大）</th>
        <td><?= number_format($advs_cat['banner']['banner_type']['long']['big']) ?></td>
        <th>たて長（中）</th>
        <td><?= number_format($advs_cat['banner']['banner_type']['long']['middle']) ?></td>
        <th>たて長（小）</th>
        <td><?= number_format($advs_cat['banner']['banner_type']['long']['small']) ?></td>
        <th>たて長（その他）</th>
        <td><?= number_format($advs_cat['banner']['banner_type']['long']['out']) ?></td>
      </tr>
      <tr>
        <th nowrap>スクエア（大）</th>
        <td><?= number_format($advs_cat['banner']['banner_type']['square']['big']) ?></td>
        <th nowrap>スクエア（中）</th>
        <td><?= number_format($advs_cat['banner']['banner_type']['square']['middle']) ?></td>
        <th nowrap>スクエア（小）</th>
        <td><?= number_format($advs_cat['banner']['banner_type']['square']['small']) ?></td>
        <th>スクエア（その他）</th>
        <td><?= number_format($advs_cat['banner']['banner_type']['square']['out']) ?></td>
      </tr>
      <tr>
        <th nowrap>テキスト形式</th>
        <td colspan="7"><?= number_format($advs_cat['text']['count']) ?></td>
      </tr>
      <tr>
        <th nowrap>メール用</th>
        <td colspan="7"><?= number_format($advs_cat['mail']['count']) ?></td>
      </tr>
    </table>
    <p>
        <b>SQLite: </b><?php if ($use_sqlite) { ?>
        <span style="color:#3f3;">有効</span>
        <?php } else { ?>
        <span style="color:#555;">無効</span>
        <?php } ?>
        <br />
    </p>

    <div id="a8min_codedata">
    <a href="#" id="buttonCodedataUpdate" class="linkAction">データリンク設定<?= $disabled_title ?></a>
    <div style="margin:0 0 20px 50px;display:none;" id="a8min_codedata_form_toggle">
        <?php if ($disabled) { ?>
        <p style="color:#0f0;">この機能は<a href="http://hello.lumiere-couleur.com/a8min/" target="_blank">通常版</a>のみご利用いただけます。</p>
        <?php } ?>
        <label for="codedata_type_link_form">
            <input type="checkbox" name="codedata_type" id="codedata_type_link_form" value="link" <?php if ($a8min_settings['codedata_type'] == 'link') { ?>checked="checked"<?php } ?> <?= $disabled ?>>: 同一サーバー上の別のA8minのコードデータを使う。
        </label>
        <br />
        <?php if ($error['codelink']) { ?>
        <p style="font-size:1.3em;color:#f00;"><?= $error['codelink'] ?></p>
        <?php } ?>
        <input type="text" style="width:400px;" name="codelink" id="codelink" value="<?= htmlspecialchars($a8min_settings['codelink']) ?>" <?= $disabled ?>>
        <br />
        <span style="font-size:0.8em;">
            システム上の他のA8minまでの絶対パスを指定してください。
            <br />※例：<?= dirname(dirname(__FILE__)) ?>
        </span>

        <?php if (!$disabled) { ?>
        <p><input type="submit" name="submitUpdate" value="保存する" <?= $disabled ?> /></p>
        <?php } ?>
    </div>

    <a href="#" id="buttonCodedataUpdate2" class="linkAction">コードデータ貼り付け</a>
    <div style="margin:0 0 20px 50px;display:none;" id="a8min_codedata_form2_toggle">
        <p>ブックマークレットからの直接インポートが出来ない場合、こちらのフォームをお使いください。</p>
    	<textarea name="allcode" id="allcode" style="width:400px;height:100px;"><?= htmlspecialchars($_POST['allcode']) ?></textarea>
        <br />
        <span style="font-size:0.8em;">ブックマークレットを使って生成してください。</span><br />
        <p><input type="submit" name="submitUpdate" value="保存する" /></p>
    </div>
    </div>
    <script type="text/javascript">
    <!--
        jQuery("#buttonCodedataUpdate").click(function(){
            jQuery("#a8min_codedata_form_toggle").slideToggle("fast");
            return false;
        });
        jQuery("#buttonCodedataUpdate2").click(function(){
            jQuery("#a8min_codedata_form2_toggle").slideToggle("fast");
            return false;
        });
        jQuery("#codedata_type_link_form").click(function(){
            jQuery("#allcode").attr("disabled", jQuery(this).attr("checked"));
        });
        jQuery("#codedata_type_link_form").triggerHandler("click");
        <?php if ($error['codelink']) { ?>
        jQuery("#buttonCodedataUpdate").triggerHandler("click");
        <?php } ?>
    //-->
    </script>

	<h4><span class="l">&nbsp;</span><span class="header">広告表示設定</span><span class="r">&nbsp;</span></h4>
    <div class="clear"></div>

  <?php if ($pgtype == 'wp_plugin') { ?>
    <a href="#" id="buttonBannerAutoInsert" class="linkAction">広告バナーの自動挿入設定を行う<?= $disabled_title ?></a>
    <div style="margin:0 0 20px 50px;display:none;" id="a8min_autoinsert_form_toggle">
      <?php if ($disabled) { ?>
      <p style="color:#0f0;">この機能は<a href="http://hello.lumiere-couleur.com/a8min/" target="_blank">通常版</a>のみご利用いただけます。</p>
      <?php } ?>
      <p>挿入するバナーのショートコードを入力してください。<br />入力フォーム右のボタンをクリックしてショートコードを設定することも出来ます。</p>
      <dl>
        <dt>投稿／ページの先頭</dt>
        <dd>
          <input type="text" name="autoinsert_post_before" id="autoinsert_post_before" class="autoinsert_tag" value="<?= htmlspecialchars($a8min_settings['autoinsert_post_before']) ?>" <?= $disabled ?> />
          <input type="button" class="build_shortcode" rel="autoinsert_post_before" value="" title="ショートコード作成" <?= $disabled ?> />
        </dd>
        <dt>投稿／ページの末尾</dt>
        <dd>
          <input type="text" name="autoinsert_post_after" id="autoinsert_post_after" class="autoinsert_tag" value="<?= htmlspecialchars($a8min_settings['autoinsert_post_after']) ?>" <?= $disabled ?> />
          <input type="button" class="build_shortcode" rel="autoinsert_post_after" value="" title="ショートコード作成" <?= $disabled ?> />
        </dd>
        <dt>投稿／ページの抜粋（excerpt）の先頭</dt>
        <dd>
          <input type="text" name="autoinsert_excerpt_before" id="autoinsert_excerpt_before" class="autoinsert_tag" value="<?= htmlspecialchars($a8min_settings['autoinsert_excerpt_before']) ?>" <?= $disabled ?> />
          <input type="button" class="build_shortcode" rel="autoinsert_excerpt_before" value="" title="ショートコード作成" <?= $disabled ?> />
        </dd>
        <dt>投稿／ページの抜粋（excerpt）の末尾</dt>
        <dd>
          <input type="text" name="autoinsert_excerpt_after" id="autoinsert_excerpt_after" class="autoinsert_tag" value="<?= htmlspecialchars($a8min_settings['autoinsert_excerpt_after']) ?>" <?= $disabled ?> />
          <input type="button" class="build_shortcode" rel="autoinsert_excerpt_after" value="" title="ショートコード作成" <?= $disabled ?> />
        </dd>
        <dt>RSS記事の先頭</dt>
        <dd>
          <input type="text" name="autoinsert_rss_before" id="autoinsert_rss_before" class="autoinsert_tag" value="<?= htmlspecialchars($a8min_settings['autoinsert_rss_before']) ?>" <?= $disabled ?> />
          <input type="button" class="build_shortcode" rel="autoinsert_rss_before" value="" title="ショートコード作成" <?= $disabled ?> />
        </dd>
        <dt>RSS記事の末尾</dt>
        <dd>
          <input type="text" name="autoinsert_rss_after" id="autoinsert_rss_after" class="autoinsert_tag" value="<?= htmlspecialchars($a8min_settings['autoinsert_rss_after']) ?>" <?= $disabled ?> />
          <input type="button" class="build_shortcode" rel="autoinsert_rss_after" value="" title="ショートコード作成" <?= $disabled ?> />
        </dd>
      </dl>
      <?php if (!$disabled) { ?>
      <p><input type="submit" name="submitAutoinsert" value="保存する" <?= $disabled ?> /></p>
      <?php } ?>
    </div>
    <script type="text/javascript">
    <!--
        jQuery("#buttonBannerAutoInsert").click(function(){
            jQuery("#a8min_autoinsert_form_toggle").slideToggle("fast");
            return false;
        });
        jQuery("input.build_shortcode").click(function(){
            var key = jQuery(this).attr("rel");
            var url = "<?= $a8minurl ?>/view/shortcode_popup.php?callback=a8min_update_shortcode&key=" + key;
            window.open(url, "a8min_shortcode", "width=400,height=400,menubar=yes,toolbar=no,scrollbars=yes,resizable=yes");
            return false;
        });
        function a8min_update_shortcode(key, value) {
           jQuery("#" + key).val(value);
        }
    //-->
    </script>
  <?php } ?>

	<a id="a8min_banner_size_form" href="#" class="linkAction">バナーサイズのしきい値を指定する</a>
    <div id="a8min_banner_size_form_toggle" style="margin:0 0 20px 50px;display:none;">
    <table class="data a8min_bannersize" style="width:500px;">
      <tr>
        <th>横長（大）</th>
        <td>
            minwidth:<input type="text" style="width:40px;" id="wide_minwidth_big" name="wide_minwidth_big" value="<?= $a8min_settings['wide_minwidth_big'] ?>"><br />
            maxwidth:<input type="text" style="width:40px;" id="wide_maxwidth_big" name="wide_maxwidth_big" value="<?= $a8min_settings['wide_maxwidth_big'] ?>"><br />
            maxheight:<input type="text" style="width:40px;" id="wide_maxheight_big" name="wide_maxheight_big" value="<?= $a8min_settings['wide_maxheight_big'] ?>">
        </td>
        <th>横長（中）</th>
        <td>
            minwidth:<input type="text" style="width:40px;" id="wide_minwidth_middle" name="wide_minwidth_middle" value="<?= $a8min_settings['wide_minwidth_middle'] ?>"><br />
            maxwidth:<input type="text" style="width:40px;" id="wide_maxwidth_middle" name="wide_maxwidth_middle" value="<?= $a8min_settings['wide_maxwidth_middle'] ?>"><br />
            maxheight:<input type="text" style="width:40px;" id="wide_maxheight_middle" name="wide_maxheight_middle" value="<?= $a8min_settings['wide_maxheight_middle'] ?>">
        </td>
        <th>横長（小）</th>
        <td>
            minwidth:<input type="text" style="width:40px;" id="wide_minwidth_small" name="wide_minwidth_small" value="<?= $a8min_settings['wide_minwidth_small'] ?>"><br />
            maxwidth:<input type="text" style="width:40px;" id="wide_maxwidth_small" name="wide_maxwidth_small" value="<?= $a8min_settings['wide_maxwidth_small'] ?>"><br />
            maxheight:<input type="text" style="width:40px;" id="wide_maxheight_small" name="wide_maxheight_small" value="<?= $a8min_settings['wide_maxheight_small'] ?>">
        </td>
      </tr>
      <tr>
        <th>たて長（大）</th>
        <td>
            minheight:<input type="text" style="width:40px;" id="long_minheight_big" name="long_minheight_big" value="<?= $a8min_settings['long_minheight_big'] ?>"><br />
            maxheight:<input type="text" style="width:40px;" id="long_maxheight_big" name="long_maxheight_big" value="<?= $a8min_settings['long_maxheight_big'] ?>"><br />
            maxwidth:<input type="text" style="width:40px;" id="long_maxwidth_big" name="long_maxwidth_big" value="<?= $a8min_settings['long_maxwidth_big'] ?>">
        </td>
        <th>たて長（中）</th>
        <td>
            minheight:<input type="text" style="width:40px;" id="long_minheight_middle" name="long_minheight_middle" value="<?= $a8min_settings['long_minheight_middle'] ?>"><br />
            maxheight:<input type="text" style="width:40px;" id="long_maxheight_middle" name="long_maxheight_middle" value="<?= $a8min_settings['long_maxheight_middle'] ?>"><br />
            maxwidth:<input type="text" style="width:40px;" id="long_maxwidth_middle" name="long_maxwidth_middle" value="<?= $a8min_settings['long_maxwidth_middle'] ?>">
        </td>
        <th>たて長（小）</th>
        <td>
            minheight:<input type="text" style="width:40px;" id="long_minheight_small" name="long_minheight_small" value="<?= $a8min_settings['long_minheight_small'] ?>"><br />
            maxheight:<input type="text" style="width:40px;" id="long_maxheight_small" name="long_maxheight_small" value="<?= $a8min_settings['long_maxheight_small'] ?>"><br />
            maxwidth:<input type="text" style="width:40px;" id="long_maxwidth_small" name="long_maxwidth_small" value="<?= $a8min_settings['long_maxwidth_small'] ?>">
        </td>
      </tr>
      <tr>
        <th>スクエア（大）</th>
        <td>
            minwidth:<input type="text" style="width:40px;" id="square_minwidth_big" name="square_minwidth_big" value="<?= $a8min_settings['square_minwidth_big'] ?>"><br />
            maxwidth:<input type="text" style="width:40px;" id="square_maxwidth_big" name="square_maxwidth_big" value="<?= $a8min_settings['square_maxwidth_big'] ?>"><br />
        </td>
        <th>スクエア（中）</th>
        <td>
            minwidth:<input type="text" style="width:40px;" id="square_minwidth_middle" name="square_minwidth_middle" value="<?= $a8min_settings['square_minwidth_middle'] ?>"><br />
            maxwidth:<input type="text" style="width:40px;" id="square_maxwidth_middle" name="square_maxwidth_middle" value="<?= $a8min_settings['square_maxwidth_middle'] ?>"><br />
        </td>
        <th>スクエア（小）</th>
        <td>
            minwidth:<input type="text" style="width:40px;" id="square_minwidth_small" name="square_minwidth_small" value="<?= $a8min_settings['square_minwidth_small'] ?>"><br />
            maxwidth:<input type="text" style="width:40px;" id="square_maxwidth_small" name="square_maxwidth_small" value="<?= $a8min_settings['square_maxwidth_small'] ?>"><br />
        </td>
      </tr>
    </table>
    <p>※「-1」は制限なし。未入力のまま保存するとデフォルト値に戻ります。</p>
    <p><input type="submit" name="submitUpdate" value="保存する" /></p>
    </div>
    <script type="text/javascript">
    <!--
        jQuery("a#a8min_banner_size_form").click(function(){
            jQuery("#a8min_banner_size_form_toggle").slideToggle("fast");
            return false;
        });
    //-->
    </script>

    <a href="#" id="buttonBannerGeneral" class="linkAction">その他の設定</a>
    <div style="margin:0 0 20px 50px;display:none;" id="a8min_general_form_toggle">
        <label for="allow_duplicate">
          <input type="checkbox" name="allow_duplicate" id="allow_duplicate" value="1" <?php if ($a8min_settings['allow_duplicate']) { ?>checked<?php } ?>>
          同じ画面内に重複した広告バナーの表示を許可する
        </label>
      <p><input type="submit" name="submitGeneral" value="保存する" onclick="this.form.action='#';" /></p>
    </div>
    <script type="text/javascript">
    <!--
        jQuery("#buttonBannerGeneral").click(function(){
            jQuery("#a8min_general_form_toggle").slideToggle("fast");
            return false;
        });
    //-->
    </script>

	<h4><span class="l">&nbsp;</span><span class="header">インポート用のブックマークレット</span><span class="r">&nbsp;</span></h4>
    <div class="clear"></div>
    <a href="#" id="buttonShowBookmarklet" class="linkAction">ブックマークレットを設定する</a>
    <div id="a8min_bookmarklet_toggle"style="margin:0 0 20px 50px;display:none;">
	<div style="font-size:1.4em;margin:15px 0;font-weight:bolder;"><a href="javascript:function%20loadScript(scriptURL)%20{%20var%20scriptElem%20=%20document.createElement('SCRIPT');%20scriptElem.setAttribute('type',%20'text/javascript');%20scriptElem.setAttribute('charset',%20'UTF-8');%20scriptElem.setAttribute('src',%20scriptURL);%20document.body.appendChild(scriptElem);}%20var%20a8mincss='<?= $a8minurl ?>/css/a8min.css';%20loadScript('<?= $a8minurl ?>/bookmarklet/a8min_import.js');">A8min インポート</a></div>
    上記リンクをブックマークして、<a href="http://www.a8.net/a8v2/asProgramListAction.do?type=cur&chunk=-1" target="_blank">A8.netの参加中プログラム一覧画面</a>でクリックしてください。<br />ブックマークレットをお気に入りバーへドラッグ＆ドロップしておくと便利です。<br />
    <h5>&laquo;インポートの手順&raquo;</h5>
    <ol id="a8minusage" style="list-style-type:decimal;margin-left:20px;">
      <li><div>参加中プログラム一覧画面でブックマークレットを呼び出すと、読み込み用のボックスが表示されます。</div><a href="#">画像</a>
          <img id="usageimg1" style="display:none;" src="<?= $a8minurl ?>/bookmarklet/usage/Image1.png" /></li>
      <li><div>読み込みが完了すると、「A8minインポート」と書かれたボタンが表示されますので、クリックしてください。</div><a href="#">画像</a>
          <img id="usageimg2" style="display:none;" src="<?= $a8minurl ?>/bookmarklet/usage/Image2.png" /></li>
      <li><div>A8min管理画面が別画面で開き、読み込んだ広告情報をインポートします。</div><a href="#">画像</a>
          <img id="usageimg3" style="display:none;" src="<?= $a8minurl ?>/bookmarklet/usage/Image3.png" /></li>
      <li><div>もしネットワークの設定等で正しくインポートが出来ない場合は、インポートボタン下に出力されるコードデータをコピーし、A8min設定画面の貼り付け位置にペーストして保存します。</div><a href="#">画像</a>
          <img id="usageimg4" style="display:none;" src="<?= $a8minurl ?>/bookmarklet/usage/Image4.png" /></li>
    </ol>
    <script type="text/javascript">
    <!--
        jQuery("a#buttonShowBookmarklet").click(function(){
            jQuery("#a8min_bookmarklet_toggle").slideToggle("fast");
            return false;
        });
        jQuery("#a8minusage li img").each(function(){
            jQuery(this).click(function(){
                jQuery(this).slideToggle("fast");
            });
        });
        jQuery("#a8minusage li a").click(function(){
            jQuery(this).next().slideToggle("fast");
            return false;
        });
    //-->
    </script>
    </div>

<?php if (!$standalone) { ?>
    <h4><span class="l">&nbsp;</span><span class="header">WordPress用設定</span><span class="r">&nbsp;</span></h4>
    <div class="clear"></div>
    <a href="#" id="buttonSitedataPrefix" class="linkAction">マルチサイト設定<?= $disabled_title ?></a>
    <div style="margin:0 0 20px 50px;display:none;" id="a8min_sitedataprefix_form_toggle">
        <?php if ($disabled) { ?>
        <p style="color:#0f0;">この機能は<a href="http://hello.lumiere-couleur.com/a8min/" target="_blank">通常版</a>のみご利用いただけます。</p>
        <?php } ?>
        WordPressのマルチサイト機能利用時に、子サイトごとにこの設定を行うことで、A8minを独立して使用可能になります。
        <br />（コードデータのデータリンク設定を行なっている場合、コードデータのみリンク先を参照します）
        <br /><br />
        <label for="wpoption_savedata_prefix_flg_form">
            <input type="checkbox" name="wpoption_savedata_prefix_flg" id="wpoption_savedata_prefix_flg_form" value="1" <?php if ($a8min_settings['wpoption_savedata_prefix_flg'] == '1') { ?>checked="checked"<?php } ?> <?= $disabled ?>>: このサイトで、設定オプションおよびコードデータを独立管理する。
        </label>
        <br />
        <?php if ($error['wpoption_savedata_prefix']) { ?>
        <p style="font-size:1.3em;color:#f00;"><?= $error['wpoption_savedata_prefix'] ?></p>
        <?php } ?>
        <input type="text" style="width:400px;" name="wpoption_savedata_prefix" id="wpoption_savedata_prefix" value="<?= htmlspecialchars($a8min_settings['wpoption_savedata_prefix']) ?>" <?= $disabled ?>>
        <br />
        <span style="font-size:0.8em;">
            一意の接頭子を指定してください。
            <br />※例：flower_、sun_、my_など
        </span>

        <?php if (!$disabled) { ?>
        <p><input type="submit" name="submitUpdate" value="保存する" <?= $disabled ?> /></p>
        <?php } ?>
    </div>
    <script type="text/javascript">
    <!--
        jQuery("a#buttonSitedataPrefix").click(function(){
            jQuery("#a8min_sitedataprefix_form_toggle").slideToggle("fast");
            return false;
        });
    //-->
    </script>

<?php } ?>

    </form>

	<h4><span class="l">&nbsp;</span><span class="header"><?php if ($standalone) { ?>利用方法<?php } else { ?>テンプレートへの記述<?php } ?></span><span class="r">&nbsp;</span></h4>
    <div class="clear"></div>
    <span>※広告リンクブラウザを使って、検索条件からタグを生成することができます。</span>
    <table class="data" style="width:70%;">
      <tr>
        <th>横長（大）</th>
        <td><code><?= htmlspecialchars('<?= a8min("wide_big") ?>') ?></code></td>
        <th>横長（中）</th>
        <td><code><?= htmlspecialchars('<?= a8min("wide_middle") ?>') ?></code></td>
      </tr>
      <tr>
        <th>横長（小）</th>
        <td><code><?= htmlspecialchars('<?= a8min("wide_small") ?>') ?></code></td>
        <th>横長（サイズ指定なし）</th>
        <td><code><?= htmlspecialchars('<?= a8min("wide") ?>') ?></code></td>
      </tr>
      <tr>
        <th>たて長（大）</th>
        <td><code><?= htmlspecialchars('<?= a8min("long_big") ?>') ?></code></td>
        <th>たて長（中）</th>
        <td><code><?= htmlspecialchars('<?= a8min("long_middle") ?>') ?></code></td>
      </tr>
      <tr>
        <th>たて長（小）</th>
        <td><code><?= htmlspecialchars('<?= a8min("long_small") ?>') ?></code></td>
        <th>たて長（サイズ指定なし）</th>
        <td><code><?= htmlspecialchars('<?= a8min("long") ?>') ?></code></td>
      </tr>
      <tr>
        <th nowrap>スクエア（大）</th>
        <td nowrap><code><?= htmlspecialchars('<?= a8min("square_big") ?>') ?></code></td>
        <th nowrap>スクエア（中）</th>
        <td nowrap><code><?= htmlspecialchars('<?= a8min("square_middle") ?>') ?></code></td>
      </tr>
      <tr>
        <th nowrap>スクエア（小）</th>
        <td nowrap><code><?= htmlspecialchars('<?= a8min("square_small") ?>') ?></code></td>
        <th nowrap>スクエア（サイズ指定なし）</th>
        <td nowrap><code><?= htmlspecialchars('<?= a8min("square") ?>') ?></code></td>
      </tr>
      <tr>
        <th nowrap valign="top">フリーサイズ</th>
        <td nowrap colspan="3"><code><?= htmlspecialchars('<?= a8min("400-500x50-80") ?>') ?></code>
            <br /><span style="padding-left:20px;">※幅が400px～500pxで、高さが50px～80pxの場合</span>
        </td>
      </tr>
      <tr>
        <th nowrap valign="top">カテゴリーの指定</th>
        <td nowrap colspan="3"><code><?= htmlspecialchars('<?= a8min("wide_big", array("category" => "ギフト・花・ガーデニング")) ?>') ?></code>
            <br /><span style="padding-left:20px;">※横長（大）で、カテゴリーに「ギフト・花・ガーデニング」を指定した場合</span>
        </td>
      </tr>
      <tr>
        <th nowrap valign="top">タグの指定</th>
        <td nowrap colspan="3"><code><?= htmlspecialchars('<?= a8min("wide_big", array("tag" => "2月リコメンド")) ?>') ?></code>
            <br /><span style="padding-left:20px;">※横長（大）で、タグに「2月リコメンド」を指定した場合</span>
        </td>
      </tr>
      <tr>
        <th nowrap valign="top">広告主の指定</th>
        <td nowrap colspan="3"><code><?= htmlspecialchars('<?= a8min("wide_big", array("merchant" => "Lucプログラム＆デザイン")) ?>') ?></code>
            <br /><span style="padding-left:20px;">※横長（大）で、広告主に「Lucプログラム＆デザイン」を指定した場合</span>
        </td>
      </tr>
      <tr>
        <th nowrap valign="top">プログラムIDの指定</th>
        <td nowrap colspan="3"><code><?= htmlspecialchars('<?= a8min("wide_big", array("program_id" => "s00000000xxxxxx")) ?>') ?></code>
            <br /><span style="padding-left:20px;">※横長（大）で、プログラムIDに「s00000000xxxxxx」を指定した場合</span>
        </td>
      </tr>
      <tr>
        <th nowrap>テキスト形式</th>
        <td nowrap colspan="3"><code><?= htmlspecialchars('<?= a8min("text") ?>') ?></code></td>
      </tr>
      <tr>
        <th nowrap>メール用</th>
        <td nowrap colspan="3"><code><?= htmlspecialchars('<?= a8min("mail") ?>') ?></code></td>
      </tr>
    </table>

</div>